Set minimum SDK level to 10.7 for Mac and iOS.

This is needed since r7174 introduced a dependency
on AVFoundation, which is not present in the 10.6 SDK which is
still the default for Chromium.

BUG=
TESTED=Passing compile on trybots.
R=henrika@webrtc.org

Review URL: https://webrtc-codereview.appspot.com/22659004

git-svn-id: http://webrtc.googlecode.com/svn/trunk@7175 4adac7df-926f-26a2-2b94-8c16560cd09d
diff --git a/webrtc/build/common.gypi b/webrtc/build/common.gypi
index bc88d4a..4b17eb4 100644
--- a/webrtc/build/common.gypi
+++ b/webrtc/build/common.gypi
@@ -155,6 +155,11 @@
         'include_tests%': 1,
         'restrict_webrtc_logging%': 0,
       }],
+      ['OS=="mac" or OS=="ios"', {
+        # Set the minimum SDK level to 10.7 since we need AVFoundation.
+        # See ../build/common.gypi for more info about this variable.
+        'mac_sdk_min%': '10.7',
+      }],
       ['OS=="ios"', {
         'build_libjpeg%': 0,
         'enable_protobuf%': 0,